@if (superHero) {
  <div class="d-flex flex-column gap-4 w-full hero-card">
    <div class="flex-grow-1">
      <h1> {{ superHero.name }} </h1>

      <div class="d-flex flex-column gap-1">
        <div>        @for (power of superHero.powers;track power) {
          <span class="badge bg-secondary">{{ power }} </span>
        }
        </div>
        <span> {{ superHero.alterEgo }} </span>
        @if (superHero.mentor) {
          <span> Mentor:
          <a href="#"
             [routerLink]="['/', 'super-heroes', superHero.mentor.id, 'details']">  {{ superHero.mentor.nameSuperHero }} </a>
        </span>
        }
        @if (superHero.nemesis) {
          <span> Nemesis:
          <a disabled="true"
             [routerLink]="['/', 'villains', superHero.nemesis.id, 'details']">  {{ superHero.nemesis.name }} </a>
        </span>
        }
      </div>
    </div>
    <div class="d-flex flex-row gap-4">
      <div class="flex-grow-1 d-flex flex-column gap-2">
        <h2>Sidekicks</h2>

        <ul class="list-group">
          @for (sidekick of superHero.sidekicks;track sidekick.id) {
            <li class="list-group-item cursor-pointer" [routerLink]="['/', 'super-heroes', superHero.id, 'details']">
              <div class="ms-2 me-auto">
                <div class="fw-bold">{{ sidekick.nameSuperHero }}</div>
                {{ sidekick.alterEgo }}
              </div>
            </li>
          } @empty {
            <span> aucun side kicks</span>
          }
        </ul>
      </div>
      <div class="flex-grow-1 d-flex flex-column gap-2">
        <h2>Villains</h2>

        <ul class="list-group">
          @for (villain of superHero.villains;track villain.id) {
            <li class="list-group-item"> {{ villain.name }}</li>
          } @empty {
            <span> aucun vilain</span>
          }
        </ul>
      </div>
    </div>
  </div>

} @else {
  <div>
    <span> Le heros d'id : {{ id }} n'existe pas </span>
  </div>
}
